Subject: bug#72780: closed (Re: bug#72780: [PATCH] gnu: emacs-treemacs: add missing package to propagated-inputs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 05 Sep 2024 18:05:01 +0000

Your bug report

#72780: [PATCH] gnu: emacs-treemacs: add missing package to propagated-inputs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
72780: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=72780
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#72780: [PATCH] gnu: emacs-treemacs: add missing package to propagated-inputs
From: Nicolas Goaziou <[email-masked]>
To: Rodrigo Morales <[email-masked]>
Cc: [email-masked]
Date: Thu, 05 Sep 2024 20:02:29 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

Rodrigo Morales <[email-masked]> writes:

> This is the first time I'm sending a patch to the guix project. If this
> is not the correct way to send patches to Guix, please let me know so
> that I don't make the same mistake in the future.

Thank you for your contribution.

I'm surprised it arrived in the wrong mailing list. Did you follow the
steps mentioned in the manual (at "(guix) Submitting Patches"), or
arguably better, used mumi?

Anyhow I applied your patch. I just reordered inputs alphabetically.

Regards,
-- 
Nicolas Goaziou

Subject: [PATCH] gnu: emacs-treemacs: add missing package to propagated-inputs
From: Rodrigo Morales <[email-masked]>
To: <[email-masked]>
Date: Fri, 23 Aug 2024 13:45:25 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

This is the first time I'm sending a patch to the guix project. If this
is not the correct way to send patches to Guix, please let me know so
that I don't make the same mistake in the future.

>From 51811d0ba74704b57822263d684604606ad43da7 Mon Sep 17 00:00:00 2001
From: Rodrigo Morales <[email-masked]>
Date: Fri, 23 Aug 2024 13:29:56 -0500
Subject: [PATCH] gnu: emacs-treemacs: add missing package to propagated-inputs

The package emacs-cfrs is not included in the list of
propagated-inputs at emacs-treemacs, but it should be included,
because some of the features of emacs-treemacs use cfrs, see
https://github.com/Alexander-Miller/treemacs/blob/2377d231bcb4ff6841cbf6a7c1e4b6747e26ddd0/src/elisp/treemacs-interface.el#L47-L48
---
 gnu/packages/emacs-xyz.scm | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/emacs-xyz.scm b/gnu/packages/emacs-xyz.scm
index cb7269d6b9..bfa61ee1e5 100644
--- a/gnu/packages/emacs-xyz.scm
+++ b/gnu/packages/emacs-xyz.scm
@@ -31826,7 +31826,8 @@ (define-public emacs-treemacs
            emacs-ht
            emacs-hydra
            emacs-pfuture
-           emacs-s))
+           emacs-s
+           emacs-cfrs))
     (home-page "https://github.com/Alexander-Miller/treemacs")
     (synopsis "Emacs tree style file explorer")
     (description
-- 
2.34.1